#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kpgdebuggerbase.ui'
**
** Created: Čt dub 23 07:41:56 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kpgdebuggerbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qsplitter.h>
#include <qframe.h>
#include <qtabwidget.h>
#include <qtable.h>
#include <ktextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ktextedit.h"

/*
 *  Constructs a KPGDebuggerBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPGDebuggerBase::KPGDebuggerBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KPGDebuggerBase" );
    KPGDebuggerBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "KPGDebuggerBaseLayout"); 

    splitter3 = new QSplitter( this, "splitter3" );
    splitter3->setOrientation( QSplitter::Vertical );

    m_pFrameSourceCode = new QFrame( splitter3, "m_pFrameSourceCode" );
    m_pFrameSourceCode->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 1, m_pFrameSourceCode->sizePolicy().hasHeightForWidth() ) );
    m_pFrameSourceCode->setMinimumSize( QSize( 0, 0 ) );
    m_pFrameSourceCode->setFrameShape( QFrame::NoFrame );
    m_pFrameSourceCode->setFrameShadow( QFrame::Raised );
    m_pFrameSourceCode->setMargin( 0 );
    m_pFrameSourceCodeLayout = new QGridLayout( m_pFrameSourceCode, 1, 1, 0, 6, "m_pFrameSourceCodeLayout"); 

    m_pTabWidget = new QTabWidget( splitter3, "m_pTabWidget" );
    m_pTabWidget->setTabPosition( QTabWidget::Bottom );

    pTabParameters = new QWidget( m_pTabWidget, "pTabParameters" );
    pTabParametersLayout = new QGridLayout( pTabParameters, 1, 1, 0, 6, "pTabParametersLayout"); 

    m_pTableParameters = new QTable( pTabParameters, "m_pTableParameters" );
    m_pTableParameters->setNumCols( m_pTableParameters->numCols() + 1 );
    m_pTableParameters->horizontalHeader()->setLabel( m_pTableParameters->numCols() - 1, tr2i18n( "Name" ) );
    m_pTableParameters->setNumCols( m_pTableParameters->numCols() + 1 );
    m_pTableParameters->horizontalHeader()->setLabel( m_pTableParameters->numCols() - 1, tr2i18n( "Type" ) );
    m_pTableParameters->setNumCols( m_pTableParameters->numCols() + 1 );
    m_pTableParameters->horizontalHeader()->setLabel( m_pTableParameters->numCols() - 1, tr2i18n( "Mode" ) );
    m_pTableParameters->setNumCols( m_pTableParameters->numCols() + 1 );
    m_pTableParameters->horizontalHeader()->setLabel( m_pTableParameters->numCols() - 1, tr2i18n( "Value" ) );
    m_pTableParameters->setNumRows( 0 );
    m_pTableParameters->setNumCols( 4 );
    m_pTableParameters->setSelectionMode( QTable::SingleRow );

    pTabParametersLayout->addWidget( m_pTableParameters, 0, 0 );
    m_pTabWidget->insertTab( pTabParameters, QString::fromLatin1("") );

    pTabResult = new QWidget( m_pTabWidget, "pTabResult" );
    pTabResultLayout = new QGridLayout( pTabResult, 1, 1, 0, 6, "pTabResultLayout"); 

    m_pTableResult = new QTable( pTabResult, "m_pTableResult" );
    m_pTableResult->setNumRows( 0 );
    m_pTableResult->setNumCols( 0 );
    m_pTableResult->setReadOnly( TRUE );

    pTabResultLayout->addWidget( m_pTableResult, 0, 0 );
    m_pTabWidget->insertTab( pTabResult, QString::fromLatin1("") );

    pTabTextResult = new QWidget( m_pTabWidget, "pTabTextResult" );
    pTabTextResultLayout = new QGridLayout( pTabTextResult, 1, 1, 0, 6, "pTabTextResultLayout"); 

    m_pTextEditResult = new KTextEdit( pTabTextResult, "m_pTextEditResult" );
    m_pTextEditResult->setVScrollBarMode( KTextEdit::AlwaysOn );
    m_pTextEditResult->setReadOnly( TRUE );

    pTabTextResultLayout->addWidget( m_pTextEditResult, 0, 0 );
    m_pTabWidget->insertTab( pTabTextResult, QString::fromLatin1("") );

    pTabVariables = new QWidget( m_pTabWidget, "pTabVariables" );
    pTabVariablesLayout = new QGridLayout( pTabVariables, 1, 1, 0, 6, "pTabVariablesLayout"); 

    m_pTableVariables = new QTable( pTabVariables, "m_pTableVariables" );
    m_pTableVariables->setNumCols( m_pTableVariables->numCols() + 1 );
    m_pTableVariables->horizontalHeader()->setLabel( m_pTableVariables->numCols() - 1, tr2i18n( "Name" ) );
    m_pTableVariables->setNumCols( m_pTableVariables->numCols() + 1 );
    m_pTableVariables->horizontalHeader()->setLabel( m_pTableVariables->numCols() - 1, tr2i18n( "Type" ) );
    m_pTableVariables->setNumCols( m_pTableVariables->numCols() + 1 );
    m_pTableVariables->horizontalHeader()->setLabel( m_pTableVariables->numCols() - 1, tr2i18n( "Value" ) );
    m_pTableVariables->setNumCols( m_pTableVariables->numCols() + 1 );
    m_pTableVariables->horizontalHeader()->setLabel( m_pTableVariables->numCols() - 1, tr2i18n( "Unique" ) );
    m_pTableVariables->setNumCols( m_pTableVariables->numCols() + 1 );
    m_pTableVariables->horizontalHeader()->setLabel( m_pTableVariables->numCols() - 1, tr2i18n( "Const" ) );
    m_pTableVariables->setNumCols( m_pTableVariables->numCols() + 1 );
    m_pTableVariables->horizontalHeader()->setLabel( m_pTableVariables->numCols() - 1, tr2i18n( "Not null" ) );
    m_pTableVariables->setNumCols( m_pTableVariables->numCols() + 1 );
    m_pTableVariables->horizontalHeader()->setLabel( m_pTableVariables->numCols() - 1, tr2i18n( "Line" ) );
    m_pTableVariables->setNumRows( 0 );
    m_pTableVariables->setNumCols( 7 );
    m_pTableVariables->setReadOnly( TRUE );

    pTabVariablesLayout->addWidget( m_pTableVariables, 0, 0 );
    m_pTabWidget->insertTab( pTabVariables, QString::fromLatin1("") );

    pTabStack = new QWidget( m_pTabWidget, "pTabStack" );
    pTabStackLayout = new QGridLayout( pTabStack, 1, 1, 0, 6, "pTabStackLayout"); 

    m_pTableStack = new QTable( pTabStack, "m_pTableStack" );
    m_pTableStack->setNumCols( m_pTableStack->numCols() + 1 );
    m_pTableStack->horizontalHeader()->setLabel( m_pTableStack->numCols() - 1, tr2i18n( "Target" ) );
    m_pTableStack->setNumCols( m_pTableStack->numCols() + 1 );
    m_pTableStack->horizontalHeader()->setLabel( m_pTableStack->numCols() - 1, tr2i18n( "Line" ) );
    m_pTableStack->setNumCols( m_pTableStack->numCols() + 1 );
    m_pTableStack->horizontalHeader()->setLabel( m_pTableStack->numCols() - 1, tr2i18n( "Arguments" ) );
    m_pTableStack->setNumCols( m_pTableStack->numCols() + 1 );
    m_pTableStack->horizontalHeader()->setLabel( m_pTableStack->numCols() - 1, tr2i18n( "Level" ) );
    m_pTableStack->setNumRows( 0 );
    m_pTableStack->setNumCols( 4 );

    pTabStackLayout->addWidget( m_pTableStack, 0, 0 );
    m_pTabWidget->insertTab( pTabStack, QString::fromLatin1("") );

    pTabDebuggerOutput = new QWidget( m_pTabWidget, "pTabDebuggerOutput" );
    pTabDebuggerOutputLayout = new QGridLayout( pTabDebuggerOutput, 1, 1, 0, 6, "pTabDebuggerOutputLayout"); 

    m_pTextEditDebuggerOut = new KTextEdit( pTabDebuggerOutput, "m_pTextEditDebuggerOut" );
    m_pTextEditDebuggerOut->setReadOnly( TRUE );

    pTabDebuggerOutputLayout->addWidget( m_pTextEditDebuggerOut, 0, 0 );
    m_pTabWidget->insertTab( pTabDebuggerOutput, QString::fromLatin1("") );

    KPGDebuggerBaseLayout->addWidget( splitter3, 0, 0 );
    languageChange();
    resize( QSize(708, 489).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPGDebuggerBase::~KPGDebuggerBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPGDebuggerBase::languageChange()
{
    setCaption( tr2i18n( "Function debugger" ) );
    m_pTableParameters->horizontalHeader()->setLabel( 0, tr2i18n( "Name" ) );
    m_pTableParameters->horizontalHeader()->setLabel( 1, tr2i18n( "Type" ) );
    m_pTableParameters->horizontalHeader()->setLabel( 2, tr2i18n( "Mode" ) );
    m_pTableParameters->horizontalHeader()->setLabel( 3, tr2i18n( "Value" ) );
    m_pTabWidget->changeTab( pTabParameters, tr2i18n( "Parameters" ) );
    m_pTabWidget->changeTab( pTabResult, tr2i18n( "Result" ) );
    m_pTabWidget->changeTab( pTabTextResult, tr2i18n( "Output" ) );
    m_pTableVariables->horizontalHeader()->setLabel( 0, tr2i18n( "Name" ) );
    m_pTableVariables->horizontalHeader()->setLabel( 1, tr2i18n( "Type" ) );
    m_pTableVariables->horizontalHeader()->setLabel( 2, tr2i18n( "Value" ) );
    m_pTableVariables->horizontalHeader()->setLabel( 3, tr2i18n( "Unique" ) );
    m_pTableVariables->horizontalHeader()->setLabel( 4, tr2i18n( "Const" ) );
    m_pTableVariables->horizontalHeader()->setLabel( 5, tr2i18n( "Not null" ) );
    m_pTableVariables->horizontalHeader()->setLabel( 6, tr2i18n( "Line" ) );
    m_pTabWidget->changeTab( pTabVariables, tr2i18n( "Variables" ) );
    m_pTableStack->horizontalHeader()->setLabel( 0, tr2i18n( "Target" ) );
    m_pTableStack->horizontalHeader()->setLabel( 1, tr2i18n( "Line" ) );
    m_pTableStack->horizontalHeader()->setLabel( 2, tr2i18n( "Arguments" ) );
    m_pTableStack->horizontalHeader()->setLabel( 3, tr2i18n( "Level" ) );
    m_pTabWidget->changeTab( pTabStack, tr2i18n( "Stack" ) );
    m_pTabWidget->changeTab( pTabDebuggerOutput, tr2i18n( "Debugger" ) );
}

#include "kpgdebuggerbase.moc"
