#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kpgkatexmleditordialogbase.ui'
**
** Created: Čt dub 23 07:41:56 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kpgkatexmleditordialogbase.h"

#include <qvariant.h>
#include <qframe.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KPGKateXmlEditorDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KPGKateXmlEditorDialogBase::KPGKateXmlEditorDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KPGKateXmlEditorDialogBase" );

    m_pFrameButtons = new QFrame( this, "m_pFrameButtons" );
    m_pFrameButtons->setGeometry( QRect( 10, 370, 520, 50 ) );
    m_pFrameButtons->setFrameShape( QFrame::StyledPanel );
    m_pFrameButtons->setFrameShadow( QFrame::Raised );
    m_pFrameButtons->setLineWidth( 0 );
    m_pFrameButtonsLayout = new QGridLayout( m_pFrameButtons, 1, 1, 11, 6, "m_pFrameButtonsLayout"); 

    m_pButtonValidate = new QPushButton( m_pFrameButtons, "m_pButtonValidate" );

    m_pFrameButtonsLayout->addWidget( m_pButtonValidate, 0, 0 );

    m_pButtonOk = new QPushButton( m_pFrameButtons, "m_pButtonOk" );
    m_pButtonOk->setEnabled( TRUE );
    m_pButtonOk->setAutoDefault( TRUE );
    m_pButtonOk->setDefault( TRUE );

    m_pFrameButtonsLayout->addWidget( m_pButtonOk, 0, 2 );

    m_pButtonCancel = new QPushButton( m_pFrameButtons, "m_pButtonCancel" );
    m_pButtonCancel->setAutoDefault( TRUE );

    m_pFrameButtonsLayout->addWidget( m_pButtonCancel, 0, 3 );
    spacer1 = new QSpacerItem( 111, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    m_pFrameButtonsLayout->addItem( spacer1, 0, 1 );
    languageChange();
    resize( QSize(545, 428).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pButtonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( m_pButtonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( m_pButtonValidate, SIGNAL( clicked() ), this, SLOT( slotValidate() ) );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPGKateXmlEditorDialogBase::~KPGKateXmlEditorDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPGKateXmlEditorDialogBase::languageChange()
{
    setCaption( tr2i18n( "Edit CLOB content" ) );
    m_pButtonValidate->setText( tr2i18n( "&Validate" ) );
    m_pButtonValidate->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QWhatsThis::add( m_pButtonValidate, tr2i18n( "<b>Validate</b><br/>\n"
"						Press this button, if you want your XML document in the above editor to be validated." ) );
    m_pButtonOk->setText( tr2i18n( "&OK" ) );
    m_pButtonOk->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    m_pButtonCancel->setText( tr2i18n( "&Cancel" ) );
    m_pButtonCancel->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
}

void KPGKateXmlEditorDialogBase::slotValidate()
{
    qWarning( "KPGKateXmlEditorDialogBase::slotValidate(): Not implemented yet" );
}

void KPGKateXmlEditorDialogBase::slotEditorUndo()
{
    qWarning( "KPGKateXmlEditorDialogBase::slotEditorUndo(): Not implemented yet" );
}

void KPGKateXmlEditorDialogBase::slotEditorRedo()
{
    qWarning( "KPGKateXmlEditorDialogBase::slotEditorRedo(): Not implemented yet" );
}

void KPGKateXmlEditorDialogBase::slotEditorBookmark()
{
    qWarning( "KPGKateXmlEditorDialogBase::slotEditorBookmark(): Not implemented yet" );
}

#include "kpgkatexmleditordialogbase.moc"
