#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kpgexecutorbase.ui'
**
** Created: Čt dub 23 07:41:56 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kpgexecutorbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qsplitter.h>
#include <qframe.h>
#include <qtable.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qcheckbox.h>
#include <qtabwidget.h>
#include <ktextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"
#include "ktextedit.h"

/*
 *  Constructs a KPGExecutorBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPGExecutorBase::KPGExecutorBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KPGExecutorBase" );
    KPGExecutorBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "KPGExecutorBaseLayout"); 

    m_pSplitterVertical = new QSplitter( this, "m_pSplitterVertical" );
    m_pSplitterVertical->setOrientation( QSplitter::Vertical );

    frame4 = new QFrame( m_pSplitterVertical, "frame4" );
    frame4->setFrameShape( QFrame::StyledPanel );
    frame4->setFrameShadow( QFrame::Raised );
    frame4->setLineWidth( 0 );
    frame4Layout = new QGridLayout( frame4, 1, 1, 0, 6, "frame4Layout"); 

    m_pFrameArguments = new QFrame( frame4, "m_pFrameArguments" );
    m_pFrameArguments->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, m_pFrameArguments->sizePolicy().hasHeightForWidth() ) );
    m_pFrameArguments->setFrameShape( QFrame::StyledPanel );
    m_pFrameArguments->setFrameShadow( QFrame::Raised );
    m_pFrameArguments->setLineWidth( 0 );
    m_pFrameArguments->setMargin( 0 );
    m_pFrameArgumentsLayout = new QGridLayout( m_pFrameArguments, 1, 1, 0, 6, "m_pFrameArgumentsLayout"); 

    m_pTableParameters = new QTable( m_pFrameArguments, "m_pTableParameters" );
    m_pTableParameters->setNumCols( m_pTableParameters->numCols() + 1 );
    m_pTableParameters->horizontalHeader()->setLabel( m_pTableParameters->numCols() - 1, tr2i18n( "Name" ) );
    m_pTableParameters->setNumCols( m_pTableParameters->numCols() + 1 );
    m_pTableParameters->horizontalHeader()->setLabel( m_pTableParameters->numCols() - 1, tr2i18n( "Type" ) );
    m_pTableParameters->setNumCols( m_pTableParameters->numCols() + 1 );
    m_pTableParameters->horizontalHeader()->setLabel( m_pTableParameters->numCols() - 1, tr2i18n( "Mode" ) );
    m_pTableParameters->setNumCols( m_pTableParameters->numCols() + 1 );
    m_pTableParameters->horizontalHeader()->setLabel( m_pTableParameters->numCols() - 1, tr2i18n( "Value" ) );
    m_pTableParameters->setNumRows( 0 );
    m_pTableParameters->setNumCols( 4 );
    m_pTableParameters->setSelectionMode( QTable::SingleRow );

    m_pFrameArgumentsLayout->addWidget( m_pTableParameters, 0, 0 );

    frame4Layout->addWidget( m_pFrameArguments, 0, 0 );

    m_pFrameOptions = new QFrame( frame4, "m_pFrameOptions" );
    m_pFrameOptions->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, m_pFrameOptions->sizePolicy().hasHeightForWidth() ) );
    m_pFrameOptions->setFrameShape( QFrame::StyledPanel );
    m_pFrameOptions->setFrameShadow( QFrame::Raised );
    m_pFrameOptions->setLineWidth( 0 );
    m_pFrameOptionsLayout = new QGridLayout( m_pFrameOptions, 1, 1, 0, 6, "m_pFrameOptionsLayout"); 

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    m_pTextLabelXAct = new QLabel( m_pFrameOptions, "m_pTextLabelXAct" );
    layout5->addWidget( m_pTextLabelXAct );

    m_pComboBoxTransaction = new KComboBox( FALSE, m_pFrameOptions, "m_pComboBoxTransaction" );
    layout5->addWidget( m_pComboBoxTransaction );

    m_pFrameOptionsLayout->addLayout( layout5, 0, 0 );
    spacer2 = new QSpacerItem( 21, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    m_pFrameOptionsLayout->addItem( spacer2, 3, 0 );

    layout6 = new QGridLayout( 0, 1, 1, 0, 6, "layout6"); 

    m_pCheckBoxExplain = new QCheckBox( m_pFrameOptions, "m_pCheckBoxExplain" );
    m_pCheckBoxExplain->setChecked( FALSE );

    layout6->addMultiCellWidget( m_pCheckBoxExplain, 0, 0, 0, 1 );
    spacer2_2 = new QSpacerItem( 20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout6->addItem( spacer2_2, 1, 0 );

    layout5_2 = new QVBoxLayout( 0, 0, 6, "layout5_2"); 

    m_pCheckBoxAnalyze = new QCheckBox( m_pFrameOptions, "m_pCheckBoxAnalyze" );
    m_pCheckBoxAnalyze->setEnabled( FALSE );
    layout5_2->addWidget( m_pCheckBoxAnalyze );

    m_pCheckBoxVerbose = new QCheckBox( m_pFrameOptions, "m_pCheckBoxVerbose" );
    m_pCheckBoxVerbose->setEnabled( FALSE );
    layout5_2->addWidget( m_pCheckBoxVerbose );

    layout6->addLayout( layout5_2, 1, 1 );

    m_pFrameOptionsLayout->addLayout( layout6, 1, 0 );

    layout6_2 = new QVBoxLayout( 0, 0, 6, "layout6_2"); 

    textLabel1_2 = new QLabel( m_pFrameOptions, "textLabel1_2" );
    layout6_2->addWidget( textLabel1_2 );

    m_pTextLabelExecutionTime = new QLabel( m_pFrameOptions, "m_pTextLabelExecutionTime" );
    m_pTextLabelExecutionTime->setMargin( 3 );
    layout6_2->addWidget( m_pTextLabelExecutionTime );

    m_pFrameOptionsLayout->addLayout( layout6_2, 2, 0 );

    frame4Layout->addWidget( m_pFrameOptions, 0, 1 );

    m_pTabWidget = new QTabWidget( m_pSplitterVertical, "m_pTabWidget" );
    m_pTabWidget->setTabPosition( QTabWidget::Bottom );

    pTabResult = new QWidget( m_pTabWidget, "pTabResult" );
    pTabResultLayout = new QGridLayout( pTabResult, 1, 1, 0, 6, "pTabResultLayout"); 

    m_pTableResult = new QTable( pTabResult, "m_pTableResult" );
    m_pTableResult->setNumRows( 0 );
    m_pTableResult->setNumCols( 0 );
    m_pTableResult->setReadOnly( TRUE );
    m_pTableResult->setSorting( FALSE );
    m_pTableResult->setSelectionMode( QTable::SingleRow );

    pTabResultLayout->addWidget( m_pTableResult, 0, 0 );
    m_pTabWidget->insertTab( pTabResult, QString::fromLatin1("") );

    pTabTextResult = new QWidget( m_pTabWidget, "pTabTextResult" );
    pTabTextResultLayout = new QGridLayout( pTabTextResult, 1, 1, 0, 6, "pTabTextResultLayout"); 

    m_pTextEditResult = new KTextEdit( pTabTextResult, "m_pTextEditResult" );
    m_pTextEditResult->setTextFormat( KTextEdit::PlainText );
    m_pTextEditResult->setReadOnly( TRUE );

    pTabTextResultLayout->addWidget( m_pTextEditResult, 0, 0 );
    m_pTabWidget->insertTab( pTabTextResult, QString::fromLatin1("") );

    KPGExecutorBaseLayout->addMultiCellWidget( m_pSplitterVertical, 1, 1, 0, 4 );
    languageChange();
    resize( QSize(639, 484).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pCheckBoxExplain, SIGNAL( toggled(bool) ), this, SLOT( slotExplainToggled(bool) ) );

    // buddies
    m_pTextLabelXAct->setBuddy( m_pComboBoxTransaction );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPGExecutorBase::~KPGExecutorBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPGExecutorBase::languageChange()
{
    setCaption( tr2i18n( "Function executor" ) );
    m_pTableParameters->horizontalHeader()->setLabel( 0, tr2i18n( "Name" ) );
    m_pTableParameters->horizontalHeader()->setLabel( 1, tr2i18n( "Type" ) );
    m_pTableParameters->horizontalHeader()->setLabel( 2, tr2i18n( "Mode" ) );
    m_pTableParameters->horizontalHeader()->setLabel( 3, tr2i18n( "Value" ) );
    m_pTextLabelXAct->setText( tr2i18n( "&XAct:" ) );
    m_pComboBoxTransaction->clear();
    m_pComboBoxTransaction->insertItem( tr2i18n( "Transaction" ) );
    m_pComboBoxTransaction->insertItem( tr2i18n( "Robust trans." ) );
    m_pComboBoxTransaction->insertItem( tr2i18n( "Nontransaction" ) );
    m_pCheckBoxExplain->setText( tr2i18n( "Ex&plain" ) );
    m_pCheckBoxExplain->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    m_pCheckBoxAnalyze->setText( tr2i18n( "&Analyze" ) );
    m_pCheckBoxAnalyze->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    m_pCheckBoxVerbose->setText( tr2i18n( "&Verbose" ) );
    m_pCheckBoxVerbose->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    textLabel1_2->setText( tr2i18n( "Execution time:" ) );
    m_pTabWidget->changeTab( pTabResult, tr2i18n( "Result" ) );
    m_pTabWidget->changeTab( pTabTextResult, tr2i18n( "Output" ) );
}

void KPGExecutorBase::slotExplainToggled(bool)
{
    qWarning( "KPGExecutorBase::slotExplainToggled(bool): Not implemented yet" );
}

#include "kpgexecutorbase.moc"
