#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kpgtypeproppagebase.ui'
**
** Created: Čt dub 23 07:42:00 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kpgtypeproppagebase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qlabel.h>
#include <qtable.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>


/*
 *  Constructs a KPGTypePropPageBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPGTypePropPageBase::KPGTypePropPageBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KPGTypePropPageBase" );
    KPGTypePropPageBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "KPGTypePropPageBaseLayout"); 

    m_pTabWidget = new QTabWidget( this, "m_pTabWidget" );
    m_pTabWidget->setTabPosition( QTabWidget::Bottom );

    tabProperties = new QWidget( m_pTabWidget, "tabProperties" );
    tabPropertiesLayout = new QGridLayout( tabProperties, 1, 1, 11, 6, "tabPropertiesLayout"); 

    textLabel1 = new QLabel( tabProperties, "textLabel1" );

    tabPropertiesLayout->addWidget( textLabel1, 0, 0 );

    m_pTableProperties = new QTable( tabProperties, "m_pTableProperties" );
    m_pTableProperties->setNumRows( 15 );
    m_pTableProperties->setNumCols( 3 );
    m_pTableProperties->setReadOnly( TRUE );
    m_pTableProperties->setSelectionMode( QTable::SingleRow );

    tabPropertiesLayout->addWidget( m_pTableProperties, 1, 0 );
    m_pTabWidget->insertTab( tabProperties, QString::fromLatin1("") );

    tabAttributes = new QWidget( m_pTabWidget, "tabAttributes" );
    tabAttributesLayout = new QGridLayout( tabAttributes, 1, 1, 11, 6, "tabAttributesLayout"); 

    m_pTableAttributes = new QTable( tabAttributes, "m_pTableAttributes" );
    m_pTableAttributes->setNumCols( m_pTableAttributes->numCols() + 1 );
    m_pTableAttributes->horizontalHeader()->setLabel( m_pTableAttributes->numCols() - 1, tr2i18n( "Name" ) );
    m_pTableAttributes->setNumCols( m_pTableAttributes->numCols() + 1 );
    m_pTableAttributes->horizontalHeader()->setLabel( m_pTableAttributes->numCols() - 1, tr2i18n( "Type" ) );
    m_pTableAttributes->setNumCols( m_pTableAttributes->numCols() + 1 );
    m_pTableAttributes->horizontalHeader()->setLabel( m_pTableAttributes->numCols() - 1, tr2i18n( "Type length" ) );
    m_pTableAttributes->setNumCols( m_pTableAttributes->numCols() + 1 );
    m_pTableAttributes->horizontalHeader()->setLabel( m_pTableAttributes->numCols() - 1, tr2i18n( "Attribute number" ) );
    m_pTableAttributes->setNumCols( m_pTableAttributes->numCols() + 1 );
    m_pTableAttributes->horizontalHeader()->setLabel( m_pTableAttributes->numCols() - 1, tr2i18n( "Dimensions" ) );
    m_pTableAttributes->setNumCols( m_pTableAttributes->numCols() + 1 );
    m_pTableAttributes->horizontalHeader()->setLabel( m_pTableAttributes->numCols() - 1, tr2i18n( "Type mode" ) );
    m_pTableAttributes->setNumCols( m_pTableAttributes->numCols() + 1 );
    m_pTableAttributes->horizontalHeader()->setLabel( m_pTableAttributes->numCols() - 1, tr2i18n( "Namespace" ) );
    m_pTableAttributes->setNumRows( m_pTableAttributes->numRows() + 1 );
    m_pTableAttributes->verticalHeader()->setLabel( m_pTableAttributes->numRows() - 1, tr2i18n( "1" ) );
    m_pTableAttributes->setNumRows( m_pTableAttributes->numRows() + 1 );
    m_pTableAttributes->verticalHeader()->setLabel( m_pTableAttributes->numRows() - 1, tr2i18n( "2" ) );
    m_pTableAttributes->setNumRows( m_pTableAttributes->numRows() + 1 );
    m_pTableAttributes->verticalHeader()->setLabel( m_pTableAttributes->numRows() - 1, tr2i18n( "3" ) );
    m_pTableAttributes->setNumRows( 3 );
    m_pTableAttributes->setNumCols( 7 );
    m_pTableAttributes->setReadOnly( TRUE );
    m_pTableAttributes->setSelectionMode( QTable::SingleRow );

    tabAttributesLayout->addWidget( m_pTableAttributes, 1, 0 );

    textLabel2 = new QLabel( tabAttributes, "textLabel2" );
    textLabel2->setTextFormat( QLabel::PlainText );

    tabAttributesLayout->addWidget( textLabel2, 0, 0 );
    m_pTabWidget->insertTab( tabAttributes, QString::fromLatin1("") );

    KPGTypePropPageBaseLayout->addWidget( m_pTabWidget, 0, 0 );
    languageChange();
    resize( QSize(651, 448).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pTableProperties, SIGNAL( doubleClicked(int,int,int,const QPoint&) ), this, SLOT( slotTablePropDblClicked(int,int,int,const QPoint&) ) );
    connect( m_pTableProperties, SIGNAL( doubleClicked(int,int,int,const QPoint&) ), this, SLOT( slotTablePropDblClicked(int,int,int,const QPoint&) ) );
    connect( m_pTableAttributes, SIGNAL( doubleClicked(int,int,int,const QPoint&) ), this, SLOT( slotTablePropDblClicked(int,int,int,const QPoint&) ) );

    // buddies
    textLabel1->setBuddy( m_pTableProperties );
    textLabel2->setBuddy( m_pTableAttributes );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPGTypePropPageBase::~KPGTypePropPageBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPGTypePropPageBase::languageChange()
{
    setCaption( tr2i18n( "Data type properties" ) );
    textLabel1->setText( tr2i18n( "&Type properties:" ) );
    m_pTabWidget->changeTab( tabProperties, tr2i18n( "Properties" ) );
    m_pTableAttributes->horizontalHeader()->setLabel( 0, tr2i18n( "Name" ) );
    m_pTableAttributes->horizontalHeader()->setLabel( 1, tr2i18n( "Type" ) );
    m_pTableAttributes->horizontalHeader()->setLabel( 2, tr2i18n( "Type length" ) );
    m_pTableAttributes->horizontalHeader()->setLabel( 3, tr2i18n( "Attribute number" ) );
    m_pTableAttributes->horizontalHeader()->setLabel( 4, tr2i18n( "Dimensions" ) );
    m_pTableAttributes->horizontalHeader()->setLabel( 5, tr2i18n( "Type mode" ) );
    m_pTableAttributes->horizontalHeader()->setLabel( 6, tr2i18n( "Namespace" ) );
    m_pTableAttributes->verticalHeader()->setLabel( 0, tr2i18n( "1" ) );
    m_pTableAttributes->verticalHeader()->setLabel( 1, tr2i18n( "2" ) );
    m_pTableAttributes->verticalHeader()->setLabel( 2, tr2i18n( "3" ) );
    textLabel2->setText( tr2i18n( "&Attributes:" ) );
    m_pTabWidget->changeTab( tabAttributes, tr2i18n( "Attributes" ) );
}

void KPGTypePropPageBase::slotTablePropDblClicked(int,int,int,const QPoint&)
{
    qWarning( "KPGTypePropPageBase::slotTablePropDblClicked(int,int,int,const QPoint&): Not implemented yet" );
}

void KPGTypePropPageBase::slotTablePropContextMenuRequested(int,int,const QPoint&)
{
    qWarning( "KPGTypePropPageBase::slotTablePropContextMenuRequested(int,int,const QPoint&): Not implemented yet" );
}

#include "kpgtypeproppagebase.moc"
