#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kpggeneralsettingspage.ui'
**
** Created: Čt dub 23 07:41:54 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kpggeneralsettingspage.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KPGGeneralSettingsPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPGGeneralSettingsPage::KPGGeneralSettingsPage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KPGGeneralSettingsPage" );
    KPGGeneralSettingsPageLayout = new QGridLayout( this, 1, 1, 11, 6, "KPGGeneralSettingsPageLayout"); 
    spacer1 = new QSpacerItem( 21, 60, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KPGGeneralSettingsPageLayout->addItem( spacer1, 6, 1 );

    m_pCheckBoxAutoLoadSysSchemas = new QCheckBox( this, "m_pCheckBoxAutoLoadSysSchemas" );

    KPGGeneralSettingsPageLayout->addMultiCellWidget( m_pCheckBoxAutoLoadSysSchemas, 0, 0, 0, 1 );

    m_pCheckBoxAutoLoadUsrSchemas = new QCheckBox( this, "m_pCheckBoxAutoLoadUsrSchemas" );

    KPGGeneralSettingsPageLayout->addMultiCellWidget( m_pCheckBoxAutoLoadUsrSchemas, 1, 1, 0, 1 );

    m_pCheckBoxLazyLoadTblChilds = new QCheckBox( this, "m_pCheckBoxLazyLoadTblChilds" );

    KPGGeneralSettingsPageLayout->addWidget( m_pCheckBoxLazyLoadTblChilds, 2, 0 );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    m_pRadioButtonNonTX = new QRadioButton( buttonGroup1, "m_pRadioButtonNonTX" );
    buttonGroup1->insert( m_pRadioButtonNonTX, 1 );

    buttonGroup1Layout->addWidget( m_pRadioButtonNonTX, 1, 0 );

    m_pRadioButtonNormalTX = new QRadioButton( buttonGroup1, "m_pRadioButtonNormalTX" );
    m_pRadioButtonNormalTX->setChecked( TRUE );
    buttonGroup1->insert( m_pRadioButtonNormalTX, 1 );

    buttonGroup1Layout->addWidget( m_pRadioButtonNormalTX, 0, 0 );

    m_pRadioButtonRobustTX = new QRadioButton( buttonGroup1, "m_pRadioButtonRobustTX" );
    buttonGroup1->insert( m_pRadioButtonRobustTX, 1 );

    buttonGroup1Layout->addWidget( m_pRadioButtonRobustTX, 2, 0 );

    KPGGeneralSettingsPageLayout->addMultiCellWidget( buttonGroup1, 5, 5, 0, 1 );

    m_pCheckBoxUseDollarsForFncBody = new QCheckBox( this, "m_pCheckBoxUseDollarsForFncBody" );

    KPGGeneralSettingsPageLayout->addMultiCellWidget( m_pCheckBoxUseDollarsForFncBody, 3, 3, 0, 1 );

    m_pCheckBoxHideSysColumns = new QCheckBox( this, "m_pCheckBoxHideSysColumns" );

    KPGGeneralSettingsPageLayout->addWidget( m_pCheckBoxHideSysColumns, 4, 0 );
    languageChange();
    resize( QSize(357, 293).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( m_pCheckBoxAutoLoadSysSchemas, m_pCheckBoxAutoLoadUsrSchemas );
    setTabOrder( m_pCheckBoxAutoLoadUsrSchemas, m_pCheckBoxUseDollarsForFncBody );
    setTabOrder( m_pCheckBoxUseDollarsForFncBody, m_pRadioButtonNormalTX );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPGGeneralSettingsPage::~KPGGeneralSettingsPage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPGGeneralSettingsPage::languageChange()
{
    setCaption( tr2i18n( "General" ) );
    m_pCheckBoxAutoLoadSysSchemas->setText( tr2i18n( "Automatically load &system schemas" ) );
    m_pCheckBoxAutoLoadSysSchemas->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    m_pCheckBoxAutoLoadUsrSchemas->setText( tr2i18n( "Automatically load &user schemas" ) );
    m_pCheckBoxAutoLoadUsrSchemas->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    m_pCheckBoxLazyLoadTblChilds->setText( tr2i18n( "&Lazy load tables childs" ) );
    m_pCheckBoxLazyLoadTblChilds->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    buttonGroup1->setTitle( tr2i18n( "Transaction type for catalog queries" ) );
    m_pRadioButtonNonTX->setText( tr2i18n( "&Non-transaction" ) );
    m_pRadioButtonNonTX->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    m_pRadioButtonNormalTX->setText( tr2i18n( "Normal &transaction" ) );
    m_pRadioButtonNormalTX->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    m_pRadioButtonRobustTX->setText( tr2i18n( "&Robust transaction" ) );
    m_pRadioButtonRobustTX->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    m_pCheckBoxUseDollarsForFncBody->setText( tr2i18n( "Use $$ for &functions body definition" ) );
    m_pCheckBoxUseDollarsForFncBody->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    m_pCheckBoxHideSysColumns->setText( tr2i18n( "&Hide system table columns" ) );
    m_pCheckBoxHideSysColumns->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
}

#include "kpggeneralsettingspage.moc"
